recurrences
4 endpoints.
get/api/recurrences#
templateIdstring · uuidcurl https://api.shairelabs.com/api/recurrences \
-H "Authorization: Bearer $SHAIRE_TOKEN"cadencestring*dailyweeklymonthlyintervalintegerweekdaysinteger[]dayOfMonthinteger | nullhourintegertimezonestringidstring · uuid*workspaceIdstring · uuid*templateIdstring · uuid*listIdstring · uuid*createdBystring · uuid*dueInDaysinteger | null*activeboolean*nextRunAtstring*lastSpawnedAtstring | null*createdAtstring*updatedAtstring*post/api/recurrences#
cadencestring*dailyweeklymonthlyintervalintegerweekdaysinteger[]dayOfMonthinteger | nullhourintegertimezonestringtemplateIdstring · uuid*listIdstring · uuid*dueInDaysinteger | nullactivebooleancurl https://api.shairelabs.com/api/recurrences \
-X POST \
-H "Authorization: Bearer $SHAIRE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"cadence":"daily","templateId":"00000000-0000-0000-0000-000000000000","listId":"00000000-0000-0000-0000-000000000000"}'cadencestring*dailyweeklymonthlyintervalintegerweekdaysinteger[]dayOfMonthinteger | nullhourintegertimezonestringidstring · uuid*workspaceIdstring · uuid*templateIdstring · uuid*listIdstring · uuid*createdBystring · uuid*dueInDaysinteger | null*activeboolean*nextRunAtstring*lastSpawnedAtstring | null*createdAtstring*updatedAtstring*patch/api/recurrences/{id}#
idstring*cadencestringdailyweeklymonthlyintervalintegerweekdaysinteger[]dayOfMonthinteger | nullhourintegertimezonestringlistIdstring · uuiddueInDaysinteger | nullactivebooleancurl https://api.shairelabs.com/api/recurrences/$RECURRENCE_ID \
-X PATCH \
-H "Authorization: Bearer $SHAIRE_TOKEN"cadencestring*dailyweeklymonthlyintervalintegerweekdaysinteger[]dayOfMonthinteger | nullhourintegertimezonestringidstring · uuid*workspaceIdstring · uuid*templateIdstring · uuid*listIdstring · uuid*createdBystring · uuid*dueInDaysinteger | null*activeboolean*nextRunAtstring*lastSpawnedAtstring | null*createdAtstring*updatedAtstring*delete/api/recurrences/{id}#
idstring*curl https://api.shairelabs.com/api/recurrences/$RECURRENCE_ID \
-X DELETE \
-H "Authorization: Bearer $SHAIRE_TOKEN"